org.apache.ignite.configuration

## Enum DiskPageCompression

- java.lang.Object
- - java.lang.Enum<DiskPageCompression>
  - - org.apache.ignite.configuration.DiskPageCompression

- All Implemented Interfaces:
    Serializable, Comparable<DiskPageCompression>

      public enum DiskPageCompression
      extends Enum<DiskPageCompression>

  Disk page compression options.
  See Also:
    `CacheConfiguration.setDiskPageCompression(org.apache.ignite.configuration.DiskPageCompression)`, `CacheConfiguration.setDiskPageCompressionLevel(java.lang.Integer)`, `DataStorageConfiguration.setWalPageCompression(org.apache.ignite.configuration.DiskPageCompression)`, `DataStorageConfiguration.setWalPageCompressionLevel(java.lang.Integer)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED` Compression disabled.
    `LZ4` LZ4 compression.
    `SKIP_GARBAGE` Retain only useful data from half-filled pages, but do not apply any compression.
    `SNAPPY` Snappy compression.
    `ZSTD` Zstd compression.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static @Nullable DiskPageCompression` | `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
    `static DiskPageCompression` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DiskPageCompression[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLED

          public static final DiskPageCompression DISABLED

      Compression disabled.

    - #### SKIP_GARBAGE

          public static final DiskPageCompression SKIP_GARBAGE

      Retain only useful data from half-filled pages, but do not apply any compression.

    - #### ZSTD

          public static final DiskPageCompression ZSTD

      Zstd compression.

    - #### LZ4

          public static final DiskPageCompression LZ4

      LZ4 compression.

    - #### SNAPPY

          public static final DiskPageCompression SNAPPY

      Snappy compression.

  - ### Method Detail

    - #### values

          public static DiskPageCompression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DiskPageCompression c : DiskPageCompression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DiskPageCompression valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable DiskPageCompression fromOrdinal(int ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023